xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) David Roundy <droundy@darcs.net>
License | BSD
Maintainer | none
Stability | unstable
Portability | portable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.ToggleLayouts

Contents

- Usage

Description

A module to toggle between two layouts.

Synopsis

- toggleLayouts :: (LayoutClass lt a, LayoutClass lf a) => lt a -> lf a -> ToggleLayouts lt lf a
- data ToggleLayout
  - = ToggleLayout
  - | Toggle String
- data ToggleLayouts lt lf a

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.ToggleLayouts

Then edit your `layoutHook` by adding the ToggleLayouts layout:

    myLayout = toggleLayouts Full (Tall 1 (3/100) (1/2)) ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

To toggle between layouts add a key binding like

       , ((modm .|. controlMask, xK_space), sendMessage ToggleLayout)

or a key binding like

       , ((modm .|. controlMask, xK_space), sendMessage (Toggle "Full"))

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending.

toggleLayouts :: (LayoutClass lt a, LayoutClass lf a) => lt a -> lf a -> ToggleLayouts lt lf a #

data ToggleLayout #

Constructors

ToggleLayout |
Toggle String |

Instances

Read ToggleLayout # |
Methods readsPrec :: Int -> ReadS ToggleLayout # readList :: ReadS [ToggleLayout] # readPrec :: ReadPrec ToggleLayout # readListPrec :: ReadPrec [ToggleLayout] #
Show ToggleLayout # |
Methods showsPrec :: Int -> ToggleLayout -> ShowS # show :: ToggleLayout -> String # showList :: [ToggleLayout] -> ShowS #
Message ToggleLayout # |

data ToggleLayouts lt lf a #

Instances

(LayoutClass lt a, LayoutClass lf a) => LayoutClass (ToggleLayouts lt lf) a # |
Methods runLayout :: Workspace WorkspaceId (ToggleLayouts lt lf a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (ToggleLayouts lt lf a)) # doLayout :: ToggleLayouts lt lf a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (ToggleLayouts lt lf a)) # pureLayout :: ToggleLayouts lt lf a -> Rectangle -> Stack a -> [(a, Rectangle)] # emptyLayout :: ToggleLayouts lt lf a -> Rectangle -> X ([(a, Rectangle)], Maybe (ToggleLayouts lt lf a)) # handleMessage :: ToggleLayouts lt lf a -> SomeMessage -> X (Maybe (ToggleLayouts lt lf a)) # pureMessage :: ToggleLayouts lt lf a -> SomeMessage -> Maybe (ToggleLayouts lt lf a) # description :: ToggleLayouts lt lf a -> String #
(Read (lt a), Read (lf a)) => Read (ToggleLayouts lt lf a) # |
Methods readsPrec :: Int -> ReadS (ToggleLayouts lt lf a) # readList :: ReadS [ToggleLayouts lt lf a] # readPrec :: ReadPrec (ToggleLayouts lt lf a) # readListPrec :: ReadPrec [ToggleLayouts lt lf a] #
(Show (lt a), Show (lf a)) => Show (ToggleLayouts lt lf a) # |
Methods showsPrec :: Int -> ToggleLayouts lt lf a -> ShowS # show :: ToggleLayouts lt lf a -> String # showList :: [ToggleLayouts lt lf a] -> ShowS #